%define webadminroot /var/www/html/admin

#Module-Specific definitions
%define mod_name mod_benchmark
%define mod_conf 93_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache Web server
Name:		apache-%{mod_name}
Version:	2.0.1
Release:	%mkrel 5
Group:		System/Servers
License:	GPL
URL:		http://www.trickytools.com/php/mod_benchmark.php
Source0:	http://www.trickytools.com/downloads/%{mod_name}-%{version}.tar.gz
Source1:	%{mod_conf}
Patch0:		mod_benchmark-2.0.0-no_cybase.diff
Patch1:		mod_benchmark-1.6-apr.diff
Patch2:		mod_benchmark-2.0.0-apache220.diff
Patch3:		mod_benchmark-2.0.1-format_not_a_string_literal_and_no_format_arguments.diff
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
Requires:	apache-mod_php
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_benchmark is an apache module that produces Performance
Statistics. It can help you find out which are the slower pages,
which are the system bottlenecks. It can also alert you when
thresholds are reached. Reports are displayed through a PHP fronte

NOTE: This software requires the SVG viewer by Adobe to make use
of the graphs produced. (MSIE only?)

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p0

cp %{SOURCE1} %{mod_conf}

pushd benchmark
# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644
popd

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export WANT_AUTOCONF_2_5=1
rm -f missing
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

export CPPFLAGS="-DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE"

%configure2_5x --localstatedir=/var/lib \
    --with-apxs2=%{_sbindir}/apxs \
    --enable-mysql \
    --enable-pgsql \
    --disable-sybase \
    --disable-oracle

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

cp -rp src/.libs .

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/

# install other stuff
install -m755 .libs/benchmark-mysql.so %{buildroot}%{_libdir}/apache-extramodules/
install -m755 .libs/benchmark-pgsql.so %{buildroot}%{_libdir}/apache-extramodules/
install -m755 src/alerter.sh %{buildroot}%{_libdir}/apache-extramodules/
install -m755 src/sysstat2 %{buildroot}%{_libdir}/apache-extramodules/
install -m755 src/benchmark_rt %{buildroot}%{_libdir}/apache-extramodules/

install -d %{buildroot}/%{webadminroot}/%{mod_name}
cp -aRf benchmark/* %{buildroot}/%{webadminroot}/%{mod_name}/

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO plugins
%doc sql/mod_benchmark-mysql.sql sql/mod_benchmark-std.sql sql/mod_benchmark-pgsql.sql
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0644,root,root) %config(noreplace) %{webadminroot}/%{mod_name}/php/globals.inc.php
%attr(0644,root,root) %config(noreplace) %{webadminroot}/%{mod_name}/perl/globals.inc.pl
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%attr(0755,root,root) %{_libdir}/apache-extramodules/alerter.sh
%attr(0755,root,root) %{_libdir}/apache-extramodules/sysstat2
%attr(0755,root,root) %{_libdir}/apache-extramodules/benchmark_rt
%attr(0755,root,root) %{_libdir}/apache-extramodules/benchmark-mysql.so
%attr(0755,root,root) %{_libdir}/apache-extramodules/benchmark-pgsql.so
%{webadminroot}/%{mod_name}/*


%changelog
* Wed Jan 07 2009 Oden Eriksson <oeriksson@mandriva.org> 1:2.0.1-5mdv2009.1
+ Revision: 326485
- fix build with -Werror=format-security

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.org> 1:2.0.1-4mdv2009.1
+ Revision: 311291
- rebuilt against mysql-5.1.30 libs

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.org> 1:2.0.1-3mdv2009.0
+ Revision: 234791
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.org> 1:2.0.1-2mdv2009.0
+ Revision: 215548
- fix rebuild
- hard code %%{_localstatedir}/lib to ease backports

* Sat May 10 2008 Oden Eriksson <oeriksson@mandriva.org> 1:2.0.1-1mdv2009.0
+ Revision: 205374
- 2.0.1

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.org> 1:2.0.0-9mdv2008.1
+ Revision: 181705
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:2.0.0-8mdv2008.1
+ Revision: 170712
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.org> 1:2.0.0-7mdv2008.0
+ Revision: 82535
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.org> 1:2.0.0-6mdv2008.0
+ Revision: 65630
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill unused prereq


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-5mdv2007.1
+ Revision: 140650
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-4mdv2007.1
+ Revision: 79355
- Import apache-mod_benchmark

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-3mdv2007.0
- rebuild

* Sun Dec 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-2mdk
- rebuilt against apache-2.2.0 (P1,P2)

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1mdk
- rebuilt against MySQL-5.0.15
- fix versioning

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.0-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.0-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-4mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-1mdk
- rebuilt for apache 2.0.53

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-2mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs
- nuke redundant deps

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_2.0.0-1mdk
- built for apache 2.0.51

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0.0-1mdk
- 2.0.0
- fix P0

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.6a-1mdk
- built for apache 2.0.50
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.6a-1mdk
- built for apache 2.0.49
- added P1

